NotificationsUpdate Notification Settings

Update Notification Settings

Updates email addresses and webhook URLs for encode-completion notifications. The emails field is a comma-separated list of email addresses; webhooks is a comma-separated list of HTTP/HTTPS URLs.

curl -X POST "https://api.5centscdn.com/v2/transcoding/notifications/defaults" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "emails": "admin@example.com,ops@example.com",
  "webhooks": "https://hooks.example.com/encode,https://api.example.com/notify"
}'
{
  "result": "success",
  "message": "Transcoding Settings Updated"
}
POST
/transcoding/notifications/defaults
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
emailsstring

Comma-separated list of email addresses to receive encode-completion notifications.

webhooksstring

Comma-separated list of HTTP/HTTPS URLs to POST encode-completion payloads to.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
emailsstring

Comma-separated list of email addresses to receive encode-completion notifications.

Example:
admin@example.com,ops@example.com
webhooksstring

Comma-separated list of HTTP/HTTPS URLs to POST encode-completion payloads to.

Example:
https://hooks.example.com/encode,https://api.example.com/notify

Responses

resultstring

API response status.

messagestring

Human-readable result or error message.